# Contributing to Kadok's development

Hi there! We are happy that you would like to contribute to Kadok!

Kadok is an open source discord bot. Following these development guidelines will help to keep the project clean and running. 

## How to report a bug

Think you found a bug? Please check [the list of open issues](https://github.com/terag/kadok/issues).

Here are a few tips for writing *great* bug reports:

* Describe the specific problem (e.g., "widget doesn't turn clockwise" versus "getting an error")
* Include the steps to reproduce the bug, what you expected to happen, and what happened instead
* Check that you are using the latest version of the project and its dependencies
* Include what version of the project your using, as well as any relevant dependencies
* Only include one bug per issue. If you have discovered two bugs, please file two issues
* Even if you don't know how to fix the bug, including a failing test may help others track it down

## How to suggest a feature or enhancement

If you find yourself wishing for a feature that doesn't exist in Kadok, please write an issue following this template:

```markdown
# What

(what is the feature about)

# Why

(why would this feature be great ?)

# Who would benefit

(for who ?)

# Functional criteria

(Information on how the feature should behave)

# Proposal

(Few proposal for the developers)
```

## Your first contribution

We'd love for you to contribute to the project. Please contact one of the 3 main contributors to know how to proceed